loci.formats.in

## Class OperettaReader.OperettaHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - loci.common.xml.BaseHandler
    - - loci.formats.in.OperettaReader.OperettaHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler
  Enclosing class:
    OperettaReader

      class OperettaReader.OperettaHandler
      extends loci.common.xml.BaseHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private OperettaReader.Channel` | `activeChannel`
    `private OperettaReader.Plane` | `activePlane`
    `private java.util.HashMap<java.lang.Integer,OperettaReader.Channel>` | `channels`
    `private java.lang.String` | `currentName`
    `private java.lang.StringBuilder` | `currentValue`
    `private java.lang.String` | `displayName`
    `private java.lang.String` | `instrumentType`
    `private boolean` | `isHarmony`
    `private java.lang.String` | `measurementID`
    `private java.lang.String` | `measurementTime`
    `private java.util.ArrayList<OperettaReader.Plane>` | `planes`
    `private int` | `plateCols`
    `private java.lang.String` | `plateDescription`
    `private java.lang.String` | `plateID`
    `private java.lang.String` | `plateName`
    `private int` | `plateRows`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperettaHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
    `java.lang.String` | `getExperimenterName()`
    `java.lang.String` | `getInstrumentType()`
    `java.lang.String` | `getMeasurementID()`
    `java.lang.String` | `getMeasurementTime()`
    `java.util.ArrayList<OperettaReader.Plane>` | `getPlanes()`
    `int` | `getPlateColumns()`
    `java.lang.String` | `getPlateDescription()`
    `java.lang.String` | `getPlateIdentifier()`
    `java.lang.String` | `getPlateName()`
    `int` | `getPlateRows()`
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class loci.common.xml.BaseHandler

      `resolveEntity`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### currentName

          private java.lang.String currentName

    - #### activePlane

          private OperettaReader.Plane activePlane

    - #### activeChannel

          private OperettaReader.Channel activeChannel

    - #### displayName

          private java.lang.String displayName

    - #### plateID

          private java.lang.String plateID

    - #### measurementID

          private java.lang.String measurementID

    - #### measurementTime

          private java.lang.String measurementTime

    - #### plateName

          private java.lang.String plateName

    - #### plateDescription

          private java.lang.String plateDescription

    - #### plateRows

          private int plateRows

    - #### plateCols

          private int plateCols

    - #### planes

          private java.util.ArrayList<OperettaReader.Plane> planes

    - #### channels

          private java.util.HashMap<java.lang.Integer,OperettaReader.Channel> channels

    - #### currentValue

          private final java.lang.StringBuilder currentValue

    - #### isHarmony

          private boolean isHarmony

    - #### instrumentType

          private java.lang.String instrumentType

  - ### Constructor Detail

    - #### OperettaHandler

          OperettaHandler()

  - ### Method Detail

    - #### getPlanes

          public java.util.ArrayList<OperettaReader.Plane> getPlanes()

    - #### getExperimenterName

          public java.lang.String getExperimenterName()

    - #### getPlateIdentifier

          public java.lang.String getPlateIdentifier()

    - #### getMeasurementID

          public java.lang.String getMeasurementID()

    - #### getMeasurementTime

          public java.lang.String getMeasurementTime()

    - #### getPlateName

          public java.lang.String getPlateName()

    - #### getPlateDescription

          public java.lang.String getPlateDescription()

    - #### getPlateRows

          public int getPlateRows()

    - #### getPlateColumns

          public int getPlateColumns()

    - #### getInstrumentType

          public java.lang.String getInstrumentType()

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`

    - #### startElement

          public void startElement(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes attributes)

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`

    - #### endElement

          public void endElement(java.lang.String uri,
                                 java.lang.String localName,
                                 java.lang.String qName)

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`

Copyright © 2026 Open Microscopy Environment